import { type JSX } from '../../stencil-public-runtime';
import type { HrefPropType, LabelPropType, OpenPropType, TreeItemProps } from '../../schema';
export declare class KolTreeItem implements TreeItemProps {
    private element?;
    _active?: OpenPropType;
    _label: LabelPropType;
    _open?: OpenPropType;
    _href: HrefPropType;
    focusLink(): Promise<void>;
    expand(): Promise<void>;
    collapse(): Promise<void>;
    isOpen(): Promise<boolean>;
    render(): JSX.Element;
}
